Bug 472208 (CVE-2008-5347) - CVE-2008-5347 OpenJDK applet privilege escalation via JAX package access (6592792)
Summary: CVE-2008-5347 OpenJDK applet privilege escalation via JAX package access (659...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5347
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=sun,public=20081203,reported=2...
Depends On: 473317 479814 479815
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-19 12:19 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 17:07:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0015 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-01-13 21:33:26 UTC

Comment 2 Marc Schoenefeld 2008-12-05 09:31:18 UTC
Name: CVE-2008-5347
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5347
Reference: SUNALERT:246366
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-246366-1

Multiple unspecified vulnerabilities in Java Runtime Environment (JRE)
for Sun JDK and JRE 6 Update 10 and earlier allow untrusted applets
and applications to gain privileges via vectors related to access to
inner classes in the (1) JAX-WS and (2) JAXB packages.

Comment 3 Fedora Update System 2008-12-07 04:27:20 UTC
java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-12-07 04:32:50 UTC
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Lieskovsky 2008-12-08 09:13:02 UTC
Another mention of this issue:

http://secunia.com/advisories/32991/ (Point 20) ).

Comment 8 Vincent Danen 2010-12-25 17:07:17 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 Extras (java-1.6.0-sun) RHSA-2008:1018
RHEL Supplementary version 5 (java-1.6.0-sun) RHSA-2008:1018
Red Hat Enterprise Linux version 4 Extras (java-1.6.0-ibm) RHSA-2009:0015
RHEL Supplementary version 5 (java-1.6.0-ibm) RHSA-2009:0015


Note You need to log in before you can comment on or make changes to this bug.